boinc server, ./bin/update_versions problem

Message boards : Questions and problems : boinc server, ./bin/update_versions problem
Message board moderation

To post messages, you must log in.

AuthorMessage
lee

Send message
Joined: 24 Aug 17
Posts: 10
Korea, South
Message 80453 - Posted: 24 Aug 2017, 13:16:47 UTC

i got a problem.. below,
------------------------------------------------------------------------------------------------------------------------------------------------------
root@dnclab:/var/www/boinc/dnclabtest# ./bin/update_versions

Found app version directory for: upper_case 7.042 x86_64-pc-linux-gnu
PHP Warning: simplexml_load_file(): apps/upper_case/7.042/x86_64-pc-linux-gnu/version.xml:1: parser error : Start tag expected, '<' not found in /var/www/boinc/dnclabtest/bin/update_versions on line 423

Warning: simplexml_load_file(): apps/upper_case/7.042/x86_64-pc-linux-gnu/version.xml:1: parser error : Start tag expected, '<' not found in /var/www/boinc/dnclabtest/bin/update_versions on line 423
PHP Warning: simplexml_load_file(): cat version.xml in /var/www/boinc/dnclabtest/bin/update_versions on line 423

Warning: simplexml_load_file(): cat version.xml in /var/www/boinc/dnclabtest/bin/update_versions on line 423
PHP Warning: simplexml_load_file(): ^ in /var/www/boinc/dnclabtest/bin/update_versions on line 423

Warning: simplexml_load_file(): ^ in /var/www/boinc/dnclabtest/bin/update_versions on line 423
Can't load XML file apps/upper_case/7.042/x86_64-pc-linux-gnu. Check that it exists and is valid.
-------------------------------------------------------------------------------------------------------------------------------------------------
and i follow the tutorial boinc test server the url -> https://wiki.debian.org/BOINC/ServerGuide/AppDeployment

above, tutorial, i except the section 1.2 below,

------------------------------------------------------------------------------------------------------------------------------------------------

1.2. Optional and outdated: Use the Debian-provided script to install binaries for multiple platforms

Obtain the script from /usr/share/doc/boinc-server-maker/examples/fetch_example_applications.sh

$ mkdir ~/fetch-app && cd ~/fetch-app
$ zcat /usr/share/doc/boinc-server-maker/examples/fetch_example_applications.sh.gz > fetch_example_applications.sh

Edit the script's source to set $projectroot, and run.

--------------------------------------------------------------------------------------------------------------------------------------------------------

cause i couldn't install boinc-server-maker package on my ubuntu 14.04LTS. so, i installed the server old method.


please give me the reason why that ./boin/upadate_version is not work for me..

give more my boinc server info, below

1. projectroot : /var/www/boinc/
2. completepath : /var/www/boinc/dnclabtest/apps/upper_case/7.042/x86_64-pc-linux-gnu ,below

root@dnclab:/var/www/boinc/dnclabtest/apps/upper_case/7.042/x86_64-pc-linux-gnu# ls
upper_case_7.042_x86_64-pc-linux-gnu version.xml
upper_case_7.042_x86_64-pc-linux-gnu.sig



i spend all of my day on this problem.. i want a throw the computer T_T ..
and more, anyone who has a boinc server tutorial lately version??

thanks to read this.l
ID: 80453 · Report as offensive     Reply Quote
nerdin

Send message
Joined: 22 Nov 17
Posts: 1
Brazil
Message 83125 - Posted: 22 Nov 2017, 12:30:57 UTC - in response to Message 80453.  

Same problem here.

Any hints ?
ID: 83125 · Report as offensive     Reply Quote

Message boards : Questions and problems : boinc server, ./bin/update_versions problem

Copyright © 2018 University of California. Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License, Version 1.2 or any later version published by the Free Software Foundation.